<ol class="page-breadcrumb">
  [[> Partial:breadcrumb iri=(resolvePrefix ":Start") label="Home"]]
  [[> Partial:breadcrumb iri=(resolvePrefix ":listTexts") label="Texts"]]
  [[> Partial:breadcrumbViewEntity entity="Text" urlparam="textiri"]]
</ol>

[[> Partial:contentStart]]

[[> Partial:pageHeader2 param="textiri" prefix="Text: "]]

<div class="form-container">
  <semantic-form
    subject="[[urlParam 'textiri']]"
    browser-persistence="false"
    persistence="ldp"
    post-action="redirect"
    urlqueryparam-textiri="[[urlParam 'textiri']]"
    urlqueryparam-returnpage="[[urlParam 'returnpage']]"
    urlqueryparam-returnlabel="[[urlParam 'returnlabel']]"
    fields="[[fieldDefinitions
      alias_title='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/alias_title'
      dedicated_to='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/dedicated_to'
      ismi_id='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/ismi_id'
      ismi_public='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/ismi_public'
      label='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/label1'
      notes='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/notes'
      notes_internal='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/notes_internal'
      reference='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/reference'
      subject='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/text_subject'
      text_creation='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/text_creation'
      text_expression='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/text_expression'
      text_relations='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/text_relations'
      record_type='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/text_record_type'
      record_type2='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/text_record_type_2'
      text_type='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/text_type'
      title_arabic='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/full_title_arabic'
      title_translit='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/full_title_translit'
      transaction_log='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/transaction_log'
    ]]"
    >

    <bs-tab-container 
      id="text-edit-form" 
      class="bs-left-vertical-tabs" 
      default-active-key='[[#if (urlParam "tab" )]][[urlParam "tab"]][[else]]description[[/if]]'
    >
      <div>
        <bs-col sm="2" >
          <bs-nav bs-style="tabs" stacked="true">

            <bs-nav-item event-key="description">
              Description
            </bs-nav-item>

            <bs-nav-item event-key="author">
              Authorship
            </bs-nav-item>

            <bs-nav-item event-key="title">
              Title
            </bs-nav-item>

            <bs-nav-item event-key="type">
              Type and Relations
            </bs-nav-item>

            <bs-nav-item event-key="content">
              Content
            </bs-nav-item>

            <bs-nav-item event-key="references">
              References
            </bs-nav-item>

            [[#if (hasPermission "forms:ldp:update")]]
              <bs-nav-item event-key="internal" class="hidden-field">
                Internal
              </bs-nav-item>
              <bs-nav-item event-key="delete">
                Delete
              </bs-nav-item>
            [[/if]]

          </bs-nav>
        </bs-col>
        <bs-col sm="10">

          <bs-tab-content animation="true">

            <bs-tab-pane event-key="description">
              <h3>Description</h3>

              <semantic-form-text-input for="label"></semantic-form-text-input>

              <semantic-form-text-input for="notes" multiline="true"></semantic-form-text-input>

            </bs-tab-pane>

            <bs-tab-pane event-key="author">
                <h3>Authorship</h3>
  
              <semantic-form-composite-input for="text_creation"
                new-subject-template="/creation"
                fields="[[fieldDefinitions
                      date='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/has_ismi_date'
                      place='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/took_place_at'
                      actor='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/carried_out_by'
                      misattribution='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/text_misattribution'
                    ]]">
                  <semantic-form-autocomplete-input for="actor" ></semantic-form-autocomplete-input>
                  [[> Partial:formInputIsmiDate ]]
                  <semantic-form-select-input for="place" ></semantic-form-select-input>

                  <semantic-form-composite-input for="misattribution"
                    new-subject-template="http://content.mpiwg-berlin.mpg.de/ns/ismi/misattribution/{{UUID}}"
                    fields="[[fieldDefinitions
                          actor='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/misattribution_person'
                          reference='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/reference'
                          ismi_id='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/ismi_id'
                        ]]">
                    <semantic-form-autocomplete-input for="actor" ></semantic-form-autocomplete-input>

                    <semantic-form-composite-input for="reference"
                            new-subject-template="http://content.mpiwg-berlin.mpg.de/ns/ismi/reference/{{UUID}}"
                            fields="[[fieldDefinitions
                              item='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/reference_item'
                              note='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/reference_note'
                              ismi_id='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/ismi_id'
                            ]]">
                          <semantic-form-select-input for="item"></semantic-form-select-input>
                          <semantic-form-text-input for="note"></semantic-form-text-input>
                          <semantic-form-text-input for="ismi_id" readonly="true" 
                            default-value="TBD"></semantic-form-text-input>
                      </semantic-form-composite-input>

                      <semantic-form-text-input for="ismi_id" readonly="true" 
                        default-value="TBD"></semantic-form-text-input>
                  </semantic-form-composite-input>
              </semantic-form-composite-input>

            </bs-tab-pane>

            <bs-tab-pane event-key="title">
                <h3>Title</h3>
  
              <semantic-form-text-input for="title_arabic" languages='["ar"]'></semantic-form-text-input>

              <semantic-form-text-input for="title_translit" languages='["ar-latn"]'></semantic-form-text-input>
              <!-- <semantic-form-interactive-query-text-input for="title_translit"
                repository="ismi-romanization"
                query="PREFIX ir: <http://www.researchspace.com/resource/assets/Ontologies/IsmiRomanization#>
                  SELECT ?rom WHERE {
                    ?s ir:hasTranslit ?value .
                    ?s ir:hasRomanized ?rom .
                  }"
                resultprefix="(Romanized: "
                resultpostfix=")"
                languages='["ar-latn"]'></semantic-form-interactive-query-text-input> -->

              <semantic-form-composite-input for="alias_title"
                new-subject-template="/title/{{UUID}}"
                fields="[[fieldDefinitions
                  label='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/title1'
                ]]"
              >
                <semantic-form-text-input for="label" languages='["ar-latn","ar","en"]'></semantic-form-text-input>
              </semantic-form-composite-input>
              
            </bs-tab-pane>

            <bs-tab-pane event-key="type">
                <h3>Type and relations</h3>
  
              <semantic-form-select-input for="subject"></semantic-form-select-input>

              <semantic-form-select-input for="text_type" ></semantic-form-select-input>

              <semantic-form-select-input for="dedicated_to" ></semantic-form-select-input>

              <semantic-form-composite-input for="text_relations"
                new-subject-template="/refers-to/{{UUID}}"
                fields="[[fieldDefinitions
                  type='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/text_relation_type'
                  target='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/text_relation_target'
                ]]"
              >
                <semantic-form-select-input for="type"></semantic-form-select-input>
                <semantic-form-select-input for="target"></semantic-form-select-input>
              </semantic-form-composite-input>
              
            </bs-tab-pane>

            <bs-tab-pane event-key="content">
                <h3>Content</h3>
  
              <semantic-form-composite-input for="text_expression"
                new-subject-template="/expression"
                fields="[[fieldDefinitions
                      language='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/language'
                      incipit='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/expression_incipit'
                      explicit='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/expression_explicit'
                      colophon='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/expression_colophon'
                      dedication='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/expression_dedication'
                      toc='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/expression_toc'
                    ]]">

                  <semantic-form-select-input for="language" ></semantic-form-select-input>
                  <semantic-form-text-input for="incipit" multiline="true" languages='["ar-latn","ar","en"]'></semantic-form-text-input>
                  <semantic-form-text-input for="explicit" multiline="true" languages='["ar-latn","ar","en"]'></semantic-form-text-input>
                  <semantic-form-text-input for="colophon" multiline="true" languages='["ar-latn","ar","en"]'></semantic-form-text-input>
                  <semantic-form-text-input for="dedication" multiline="true" languages='["ar-latn","ar","en"]'></semantic-form-text-input>
                  <semantic-form-text-input for="toc" multiline="true" languages='["ar-latn","ar","en"]'></semantic-form-text-input>
              </semantic-form-composite-input>

            </bs-tab-pane>

            <bs-tab-pane event-key="references">
            
              <semantic-form-composite-input for="reference"
                    new-subject-template="http://content.mpiwg-berlin.mpg.de/ns/ismi/reference/{{UUID}}"
                    fields="[[fieldDefinitions
                      item='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/reference_item'
                      note='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/reference_note'
                      ismi_id='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/ismi_id'
                    ]]">
                  <semantic-form-autocomplete-input for="item"></semantic-form-autocomplete-input>
                  <semantic-form-text-input for="note"></semantic-form-text-input>
                  <semantic-form-text-input for="ismi_id" readonly="true" 
                    default-value="TBD"></semantic-form-text-input>
               </semantic-form-composite-input>

            </bs-tab-pane>
            
            <bs-tab-pane event-key="delete">

              [[> Partial:deleteButton 
                back=(resolvePrefix ":editText")
                param="textiri"
                entityType="Text"
                redirect=(resolvePrefix ":listTexts")
              ]]

            </bs-tab-pane>

            <bs-tab-pane event-key="internal">
              <h3>Internal</h3>
              <semantic-form-text-input for="ismi_id"></semantic-form-text-input>
              <semantic-form-checkbox-input for="ismi_public"></semantic-form-checkbox-input>
              <semantic-form-text-input for="notes_internal" multiline="true"></semantic-form-text-input>
              <semantic-form-text-input for="record_type"></semantic-form-text-input>
              <semantic-form-text-input for="record_type2"></semantic-form-text-input>
              <semantic-form-text-input for="transaction_log" multiline="true"></semantic-form-text-input>
            </bs-tab-pane>

          </bs-tab-content>

          <div class="gap text-right">
            <button name="submit" class="btn btn-primary btn-md">Save</button>
            <semantic-form-recover-notification class="alert alert-info"></semantic-form-recover-notification>
            <semantic-form-errors></semantic-form-errors>
          </div>

        </bs-col>
      <div>
    </bs-tab-container>

  </semantic-form>
</div>

[[> Partial:contentEnd]]
